import { jsx } from "react/jsx-runtime";
import { HouseLineIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HouseLine = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "HouseLine", ...props, children: /* @__PURE__ */ jsx(HouseLineIcon, { weight: variant }) });
  }
);
HouseLine.displayName = "HouseLine";
Object.assign(HouseLine, { isGdsIcon: true });
export {
  HouseLine
};
